SmileBufferRecycler (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.smile

## Class SmileBufferRecycler<T>

- java.lang.Object
- - org.codehaus.jackson.smile.SmileBufferRecycler<T>

- Type Parameters:
    `T` - Type of name entries stored in arrays to recycle

      public class SmileBufferRecycler<T>
      extends Object

  Simple helper class used for implementing simple reuse system for Smile-specific buffers that are used.
  Since:
    1.7

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T[]` | `_seenNamesBuffer`
    `protected T[]` | `_seenStringValuesBuffer`
    `static int` | `DEFAULT_NAME_BUFFER_LENGTH`
    `static int` | `DEFAULT_STRING_VALUE_BUFFER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmileBufferRecycler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T[]` | `allocSeenNamesBuffer()`
    `T[]` | `allocSeenStringValuesBuffer()`
    `void` | `releaseSeenNamesBuffer(T[] buffer)`
    `void` | `releaseSeenStringValuesBuffer(T[] buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_NAME_BUFFER_LENGTH

          public static final int DEFAULT_NAME_BUFFER_LENGTH

      See Also:
        Constant Field Values

    - #### DEFAULT_STRING_VALUE_BUFFER_LENGTH

          public static final int DEFAULT_STRING_VALUE_BUFFER_LENGTH

      See Also:
        Constant Field Values

    - #### _seenNamesBuffer

          protected T[] _seenNamesBuffer

    - #### _seenStringValuesBuffer

          protected T[] _seenStringValuesBuffer

  - ### Constructor Detail

    - #### SmileBufferRecycler

          public SmileBufferRecycler()

  - ### Method Detail

    - #### allocSeenNamesBuffer

          public T[] allocSeenNamesBuffer()

    - #### allocSeenStringValuesBuffer

          public T[] allocSeenStringValuesBuffer()

    - #### releaseSeenNamesBuffer

          public void releaseSeenNamesBuffer(T[] buffer)

    - #### releaseSeenStringValuesBuffer

          public void releaseSeenStringValuesBuffer(T[] buffer)